Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms
Class CMSInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.cms.CMSInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

Direct Known Subclasses:
  ACLInterceptor, ApprovalWorkflowInterceptor, CacheInterceptor, LogInterceptor

    public abstract class CMSInterceptor

extends org.jboss.portal.server.impl.invocation.JBossInterceptor

Author:
  Thomas Heute

Constructor Summary
`CMSInterceptor()`

Method Summary
`java.lang.Object` | `invoke(org.jboss.portal.common.invocation.Invocation invocation)`
`protected abstract java.lang.Object` | `invoke(JCRCommand invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSInterceptor

    public CMSInterceptor()

Method Detail

### invoke

    public java.lang.Object invoke(org.jboss.portal.common.invocation.Invocation invocation)
                            throws java.lang.Exception,
                                   org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in interface `org.jboss.portal.common.invocation.Interceptor`
  Specified by:
    `invoke` in class `org.jboss.portal.server.impl.invocation.JBossInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### invoke

    protected abstract java.lang.Object invoke(JCRCommand invocation)
                                        throws java.lang.Exception,
                                               org.jboss.portal.common.invocation.InvocationException

  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.